#### BIN

#### Synopsis

    HELP:   Format data in binary elements (block/records)
    TYPE:   OBJECT
    SYNTAX: BIN(BUFSIZ=num,RECCNT=num,REGEXP())

#### Description

The object "format binary" converts each item from a data list (blocks or records with attributes) to an element. The data is untouched, the assigned element's types depend on the attributes and the attributes are stored for each element. This formatting method is mainly useful for records or binary chunks of data.

#### Arguments

- `NUMBER: BUFSIZ=num - Initial buffer size for preallocation [65536]`
- `NUMBER: RECCNT=num - Initial amount of records for preallocation [128]`